Subject: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Peter Dyballa <[email-masked]>
Date: Sat, 24 May 2025 11:52:32 +0200

> Am 24.05.2025 um 10:24 schrieb Paul Eggert <[email-masked]>:
> 
> On 2025-05-23 01:17, Peter Dyballa wrote:
>> Undefined symbols:
>>   "_fchownat", referenced from:
>>       _chownat in libstdbuf_so-libstdbuf.o
>>       _lchownat in libstdbuf_so-libstdbuf.o
>>   "_fchmodat", referenced from:
>>       _chmodat in libstdbuf_so-libstdbuf.o
>>       _lchmodat in libstdbuf_so-libstdbuf.o
>>   "_xreallocarray", referenced from:
>>       _xnrealloc in libstdbuf_so-libstdbuf.o
> 
> What's the definition of _GL_INLINE and _GL_EXTERN_INLINE?

I performed

	/opt/local/bin/gcc-apple-4.2 -std=gnu99 -I. -I./lib -Ilib -I./lib -Isrc -I./src -I/opt/local/include -fPIC -pipe -ggdb -O0 -arch ppc -E -dD -o src/libstdbuf.cpp src/libstdbuf.c

and then ggrep'ped for the two in src/libstdbuf.cpp:

	#define _GL_INLINE _GL_UNUSED static
	#define _GL_EXTERN_INLINE _GL_UNUSED static

#define _GL_UNUSED _GL_ATTRIBUTE_MAYBE_UNUSED
#define _GL_ATTRIBUTE_MAYBE_UNUSED _GL_ATTRIBUTE_UNUSED
#define _GL_ATTRIBUTE_UNUSED __attribute__ ((__unused__))

	tiger pete 238 /\  ggrep ' _GL_' src/libstdbuf.cpp | ggrep _INLINE | sort
	#define ATTRIBUTE_ALWAYS_INLINE _GL_ATTRIBUTE_ALWAYS_INLINE
	#define CHMODAT_INLINE _GL_INLINE
	#define CHOWNAT_INLINE _GL_INLINE
	#define SAME_INODE_INLINE _GL_INLINE
	#define XALLOC_INLINE _GL_INLINE
	#define _GL_ATTRIBUTE_ALWAYS_INLINE __attribute__ ((__always_inline__))
	#define _GL_EXTERN_INLINE _GL_UNUSED static
	#define _GL_EXTERN_INLINE_STDHEADER_BUG  #define _GL_GETPAGESIZE_INLINE _GL_INLINE
	#define _GL_INLINE _GL_UNUSED static
	#define _GL_INLINE_HEADER_BEGIN  #define _GL_INLINE_HEADER_END  #define _GL_REALLOC_INLINE _GL_INLINE
	#define _GL_STDLIB_INLINE _GL_INLINE
	#define _GL_TIMESPEC_INLINE _GL_INLINE
	#define _GL_UNISTD_INLINE _GL_INLINE
	tiger pete 239 /\  ggrep ' _GL_' src/libstdbuf.cpp | ggrep _UNUSED | sort
	#define MAYBE_UNUSED _GL_ATTRIBUTE_MAYBE_UNUSED
	#define _GL_ATTRIBUTE_MAYBE_UNUSED _GL_ATTRIBUTE_UNUSED
	#define _GL_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
	#define _GL_EXTERN_INLINE _GL_UNUSED static
	#define _GL_INLINE _GL_UNUSED static
	#define _GL_UNUSED _GL_ATTRIBUTE_MAYBE_UNUSED
	#define _GL_UNUSED_LABEL _GL_ATTRIBUTE_UNUSED
	#define _UNUSED_PARAMETER_ _GL_ATTRIBUTE_MAYBE_UNUSED

--
Greetings

  Pete

Atheism is a non prophet organisation.